{% extends "base.html" %}
{% block body %}
    {% if not user.has_permission('dns.ro') %}
        <div class="alert alert-warning" role="alert">
            <strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i></strong> Möglicherweise
            werden hier nicht alle Records angezeigt (je nach Berechtigung).
        </div>
    {% endif %}
    {% for type, r in rr.items() %}
        <div id="list{{ type }}" class="padding-card-sections">
            <section id="sec{{ type }}" class="rr-list-anchor">
                <div class="card">
                    <div data-toggle="collapse" data-target="#{{ type }}"
                                                  aria-expanded="true"
                                                  class="card-header mouse-link netsuite-collapse">{{ type }}
                        Records
                        <i class="caret fa fa-caret-up pull-right"></i></div>
                    <div class="table-responsive collapse show" id="{{ type }}">
                        <table class="table table-striped">
                            <tr>
                                <th class="vertical-center" title="{{ colnames['NTree']['fqdn'].long_title }}"
                                    colspan="2">{{ colnames['NTree']['fqdn'].short_title_abs }}</th>
                                <th class="vertical-center"
                                    title="{{ colnames['NTree']['description'].long_title }}">{{ colnames['NTree']['description'].short_title_abs }}</th>
                                <th class="vertical-center">Record-Data</th>
                                <th class="vertical-center">Bereiche</th>
                                <th class="vertical-center">Aktionen</th>
                                <th></th>
                            </tr>
                            <tbody class="list">
                            {% for i in r %}
                                <tr>
                                    <td class="fqdn vertical-center" title="{{ i['NTree'].dbnt_name }}">
                                        {{ i['NTree'].fqdn }}
                                    </td>
                                    <td class="vertical-center">
                                        <div class="btn-group">
                                            <button type="button" class="btn btn-default dropdown-toggle"
                                                    data-toggle="dropdown" aria-haspopup="true"
                                                    aria-expanded="false">
                                                    <span class="fa fa-info-circle"
                                                          aria-hidden="true"></span> <span class="caret"></span>
                                            </button>
                                            <div class="dropdown-menu">
                                                <a class="dropdown-item"
                                                   href="{{ url_for('dnsvs.inspect_fqdn_recs', fqdn=i['NTree'].fqdn) }}">Alle
                                                    Records zu FQDN</a>
                                                <a class="dropdown-item"
                                                   href="{{ url_for('dnsvs.inspect_fqdn_refs', fqdn=i['NTree'].fqdn) }}">Alle
                                                    Referenzen auf FQDN</a>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="description">
                                        {{ i['NTree'].description }}
                                    </td>
                                    <td class="rr-data" data-rr="{{ i['rr'].rr_data }}">
                                        <code title="{{ i['rr'].inttype.name if i['rr'].inttype else '' }}">{{ i['rr'].rr_data }}</code>
                                        {% if i['rr'].host_is_nws %}
                                            <a class="badge badge-primary" target="_blank" href=
                                                    "https://www-net{% if not omdl.OP_ENV_IS_PROD %}-devel{% endif %}.scc.kit.edu/~netadmin/natvs/user/wrapper.cgi/{{ i['ranges'][0] }}/{{ i['nws_range'].print_name }}/nat_index.html">
                                                NATVS</a>
                                        {% endif %}
                                    </td>
                                    <td>{% for a in i['ranges'] %}
                                        <a href="{{ url_for('dnsvs.inspect_area', area=a.split('/')[0],suffix= a.split('/')[1], _anchor='sec'+type) }}">{{ a }}</a>
                                        {% if not loop.last %},{% endif %}
                                    {% endfor %}
                                    </td>
                                    <td colspan="2" style="white-space: nowrap">
                                        {% if i['rr'].inttype and not i['rr'].force_auto_dml%}
                                            <a href="{{ url_for('dnsvs.edit_rr_data_fqdn', inttype=i['rr'].inttype.name, rr_data=i['rr'].rr_data, fqdn=i['NTree'].fqdn, src='refs') }}"
                                               class="btn btn-outline-primary"><i
                                                    class="fa fa-pencil"></i></a>
                                            <form method="post" class="inline" action="{{ url_for('dnsvs.delete_rr_fqdn', fqdn=i['rr'].rr_data) }}">
                                                {{ rr_del_form.csrf_token() }}
                                                <input type="hidden" name="src" value="refs">
                                                <input type="hidden" name="{{ rr_del_form.fqdn.name }}" value="{{ i['NTree'].fqdn }}">
                                                <input type="hidden" name="{{ rr_del_form.rr_data.name }}" value="{{ i['rr'].rr_data }}">
                                                <input type="hidden" name="{{ rr_del_form.inttype.name }}" value="{{ i['rr'].inttype.name }}">
                                                <button type="submit" class="btn btn-outline-danger"><i
                                                        class="fa fa-trash"></i></button>
                                            </form>
                                        {% endif %}
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </section>
        </div>
    {% endfor %}
{% endblock %}
